*
      PROGRAM TCL_BDSV
*
*        PDDBSV, PDGBSV, PDPBSV
*
      include 'mpif.h'
*
*  
      INTEGER            BWL, BWU, BW
      INTEGER            N, NPROW, NPCOL, NB, MEMSIZE
      PARAMETER          ( N=9, NB=3, MEMSIZE=29)
*2      PARAMETER          ( N=49, NB=8, MEMSIZE=500)
      DOUBLE PRECISION   AMEM( MEMSIZE )
      CHARACTER*(*)      UPLO
      CHARACTER          INFILEA*(*), INFILEB*(*), OUTFILE*(*)
      PARAMETER          (  UPLO = 'U',
     $                      INFILEA = 'bdsvA_9K.dat',
**     $                      INFILEA = 'gbsvA_9K.dat',
**     $                      INFILEA = 'pbsvA_9K.dat',
**     $                     INFILEA = 'bdsvA_50.dat',
**     $                     INFILEB = 'bdsvB_9.dat',
     $                     INFILEB = 'bdsvB_9K.dat',
     $                     OUTFILE = 'bdsv_9K.res')
*
      CHARACTER*(*)   NAME
      PARAMETER          ( NAME =
     $                            'PDDBSV')
*     $                            'PDGBSV')
*     $                            'PDPBSV')
*
      EXTERNAL CAL_BDSV
*
*      N = 50
*      NPROCS = 3
*      NPROCS = 50
*
      BWL = 1
      BWU = 1
      BW = 1
      NPROW=1
      NPCOL=3
*
      CALL CAL_BDSV(NAME, UPLO, N, NPROW, NPCOL, AMEM, MEMSIZE, NB,
     $              BWL, BWU, BW, INFILEA, INFILEB, OUTFILE)
*
      STOP
      END
